## ldas-tools-framecpp-swig-2.6.14.tar.gz

=== CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.2)

set( DISABLE_INSTALLATION_OF_SWIG_HEADERS OFF CACHE BOOL "Control if SWIG headers are to be installed" )

#------------------------------------------------------------------------
# Configuration variables
#------------------------------------------------------------------------

set(LDAS_TOOLS_FRAMECPP_SWIG_PACKAGE_NAME ldas-tools-framecpp-swig)
set(LDAS_TOOLS_FRAMECPP_SWIG_VERSION      2.6.14)

set(
  PROJECT_DESCRIPTION
  "SWIG bindings for LDAS Tools frameCPP library"
  )
set(
  PROJECT_DESCRIPTION_LONG
  "This provides the swig files for the LDAS frameCPP interface"
  )

set(LDAS_TOOLS_CMAKE_VERSION    1.2.3)
set(LDAS_TOOLS_AL_VERSION       2.6.7)
set(LDAS_TOOLS_AL_SWIG_VERSION  2.6.10)
set(LDAS_TOOLS_FRAMECPP_VERSION 2.9.1)

set( FRAME_SPEC_LATEST 8 )
set( FRAME_SPEC_SET 8 7 6 )
set( FRAME_OUTPUT_DIR "${CMAKE_BINARY_DIR}/frames" )

string(REPLACE "-swig" "" PROJECT_BASENAME ${LDAS_TOOLS_FRAMECPP_SWIG_PACKAGE_NAME})
#------------------------------------------------------------------------

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

#------------------------------------------------------------------------
# Locate the standard LDAS Tools cmake macro directory
#------------------------------------------------------------------------

find_package(
  LDASToolsCMake
  CONFIG
  REQUIRED
  HINTS ${CMAKE_INSTALL_PREFIX}/share/ldas-tools/cmake/Modules
  )

#========================================================================
# Start pulling in the LDAS Tools macros for easy setup
#========================================================================

find_package(AxLDASTools)
cond_set_policy(CMP0078 OLD)

#========================================================================
# Local functions
#========================================================================

include( CMakeParseArguments )

#------------------------------------------------------------------------
# Parameters:
#
# Environment:
#   FRAME_OUTPUT_DIR - Directory where the temporary frames are to be
#     stored.
#------------------------------------------------------------------------
function( cl_info_framename var version )
  #----------------------------------------------------------------------
  # Parse arguments
  #----------------------------------------------------------------------
  set(options
    FULLPATH
    )
  set(oneValueArgs
    DESC
    )
  set(multiValueArgs
    )

  cmake_parse_arguments(ARG "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )

  if ( NOT ARG_DESC )
    set( ARG_DESC test_frame )
  endif( )
  #----------------------------------------------------------------------
  # Generate the base filename
  #----------------------------------------------------------------------
  if ( "${ARG_DESC}" STREQUAL "fr_vect_types" )
    set( ${var} "Z-std_fr_vect_types_ver${version}-700000000-1.gwf" )
  else( )
    set( ${var} "Z-R_std_test_frame_ver${version}-600000000-1.gwf" )
  endif( )
  if ( ARG_FULLPATH )
    #--------------------------------------------------------------------
    # Prepend the output directory
    #--------------------------------------------------------------------
    set( ${var} "${FRAME_OUTPUT_DIR}/${${var}}" )
  endif( )
  #----------------------------------------------------------------------
  # Export the results
  #----------------------------------------------------------------------
  set( ${var} ${${var}} PARENT_SCOPE )
endfunction( )

function( cl_create_framefiles )
  add_custom_target( test_frames ALL )
  foreach( v ${ARGN} )
    add_custom_command(
      TARGET test_frames
      COMMAND
        ${FRAMECPP_SAMPLE} --test-frame-mode --version ${v}
      COMMAND
        ${FRAMECPP_SAMPLE} --version ${v}
	      --description std_fr_vect_types_ver${v}
	      --start-time 700000000
	      --duration 1
      #COMMAND
      #  ${FRAMECPP_DUMP_OBJECTS}
      #  --silent-data
      #  Z-std_fr_vect_types_ver${v}-700000000-1.gwf
      #COMMAND
      #  ${FRAMECPP_DUMP_TOC}
      #  Z-std_fr_vect_types_ver${v}-700000000-1.gwf
      WORKING_DIRECTORY ${FRAME_OUTPUT_DIR}
      )
    cl_info_framename( FULLNAME ${v} FULLPATH )
    cl_info_framename( FR_VECT_FULLNAME ${v} FULLPATH DESC fr_vect )
    set_source_files_properties(
      ${FULLNAME} ${FR_VECT_FULLNAME}
      PROPERTIES
        GENERATED TRUE
        )
  endforeach( )
endfunction( )

#========================================================================
# Start pulling in the LDAS Tools macros for easy setup
#========================================================================

cm_init(
  ${LDAS_TOOLS_FRAMECPP_SWIG_PACKAGE_NAME}
  "${LDAS_TOOLS_FRAMECPP_SWIG_VERSION}"
  ${LDAS_TOOLS_BUG_REPORT_URL}
  ${LDAS_TOOLS_FRAMECPP_SWIG_PACKAGE_NAME}
  ${LDAS_TOOLS_HOMEPAGE_URL}
  DESCRIPTION "${PROJECT_DESCRIPTION}"
  )

set( PROJECT_CONFIG_PATH "${PROJECT_SOURCE_DIR}/config" )

set( PROJECT_CONFIG_FILENAME
  "${CMAKE_CURRENT_BINARY_DIR}/common/framecpp_swig_config.h" )

ch_top(
    "#ifndef FRAMECPP_SWIG_CONFIG_H"
    "#define FRAMECPP_SWIG_CONFIG_H"
    " "
)
ch_bottom(
    " "
    "#endif /* FRAMECPP_SWIG_CONFIG_H */"
)

#=======================================================================
# Check for key programs
#=======================================================================

find_package(SWIG 2.0.4 REQUIRED)
include(${SWIG_USE_FILE})

if( NOT ENABLE_DOCUMENTATION_ONLY )
  cm_pkg_check_modules(
    PREFIX LDASTOOLS
    REQUIRED
    MODULES
      framecpp>=${LDAS_TOOLS_FRAMECPP_VERSION}
      )
endif( )
unset(LDASTOOLS_CFLAGS_ONLY_I)
if ( LDASTOOLS_INCLUDE_DIRS )
  foreach(dir ${LDASTOOLS_INCLUDE_DIRS})
    list(APPEND LDASTOOLS_CFLAGS_ONLY_I "-I${dir}")
  endforeach( )
endif( )

cx_msg_debug_variable( LDASTOOLS_FOUND )
cx_msg_debug_variable( LDASTOOLS_INCLUDE_DIRS )
cx_msg_debug_variable( LDASTOOLS_LIBRARIES )

#========================================================================
# Generate a set of test frames
#========================================================================

cm_check_progs( FRAMECPP_SAMPLE framecpp_sample )
cm_check_progs( FRAMECPP_DUMP_OBJECTS framecpp_dump_objects )
cm_check_progs( FRAMECPP_DUMP_TOC framecpp_dump_toc )

if ( NOT EXISTS ${FRAME_OUTPUT_DIR} )
  file( MAKE_DIRECTORY "${FRAME_OUTPUT_DIR}" )
endif( )

cl_create_framefiles( ${FRAME_SPEC_SET} )

add_custom_target( doc )

#========================================================================
# Traverse the tree
#========================================================================

add_subdirectory(common)
add_subdirectory(python)

#========================================================================
# Commit configuration information to the file
#========================================================================

cm_config_headers( ${PROJECT_CONFIG_FILENAME} )

#========================================================================
# Installation of key files
#========================================================================

#========================================================================
# Prepare the distribution
#========================================================================

cx_cpack(
  MACPORTS_CATEGORY devel
  SUBPORTS
    py27-${PROJECT_BASENAME}
    py35-${PROJECT_BASENAME}
    py36-${PROJECT_BASENAME}
    py37-${PROJECT_BASENAME}
    py38-${PROJECT_BASENAME}
  )

#========================================================================
# Report configuration information
#  CMAKE_MAKE_PROGRAM:FILEPATH
#========================================================================
message(STATUS "=========================================================")
message(STATUS " Project ${PROJECT_NAME} has now ben successfully configured:")
message(STATUS " " )
message(STATUS " Python settings:" )
message(STATUS "      PYTHON3                        ${PYTHON3_EXECUTABLE}" )
message(STATUS "      PYTHON3_VERSION                ${PYTHON3_VERSION}" )
message(STATUS "      PYTHON3_VERSION_NODOTS         ${PYTHON3_VERSION_NODOTS}" )
message(STATUS "      PYTHON3_VERSION_STRING         ${PYTHON3_VERSION_STRING}" )
message(STATUS "      PYTHON3_LIBRARIES              ${PYTHON3_LIBRARIES}" )
message(STATUS "      PYTHON3LIBS_VERSION_STRING     ${PYTHON3LIBS_VERSION_STRING}" )
message(STATUS " " )
message(STATUS " Additional configuration information:" )
message(STATUS "      CMAKE_INSTALL_PREFIX           ${CMAKE_INSTALL_PREFIX}" )
message(STATUS "      CMAKE_PREFIX_PATH              ${CMAKE_PREFIX_PATH}" )
message(STATUS "      LDASTOOLS_FOUND                ${LDASTOOLS_FOUND}" )
message(STATUS "      LDASTOOLS_INCLUDE_DIRS         ${LDASTOOLS_INCLUDE_DIRS}" )
message(STATUS "      LDASTOOLS_LIBRARIES            ${LDASTOOLS_LIBRARIES}" )
message(STATUS " " )
message(STATUS " installation directories:" )
message(STATUS "      CMAKE_INSTALL_BINDIR           ${CMAKE_INSTALL_BINDIR}" )
message(STATUS "      CMAKE_INSTALL_DATADIR          ${CMAKE_INSTALL_DATADIR}" )
message(STATUS " ")
message(STATUS "  Now run 'cmake --build .' to build ${PROJECT_NAME}")
message(STATUS "  and run 'cpack' to package ${PROJECT_NAME}")
message(STATUS "=========================================================")

=== common/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------
#
# LDASTools Frame Utilities - A library to extend manipulation of LIGO/Virgo Frame
# Files
#
# Copyright (C) 2018 California Institute of Technology
#
# LDASTools Frame Utilities is free software; you may redistribute it and/or
# modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 (GPLv2) of the
# License or at your discretion, any later version.
#
# LDASTools Frame Utilities is distributed in the hope that it will be useful, but
# without any warranty or even the implied warranty of merchantability
# or fitness for a particular purpose. See the GNU General Public
# License (GPLv2) for more details.
#
# Neither the names of the California Institute of Technology (Caltech),
# The Massachusetts Institute of Technology (M.I.T), The Laser
# Interferometer Gravitational-Wave Observatory (LIGO), nor the names
# of its contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# You should have received a copy of the licensing terms for this
# software included in the file LICENSE located in the top-level
# directory of this package. If you did not, you can view a copy at
# http://dcc.ligo.org/M1500244/LICENSE
#
#------------------------------------------------------------------------

cmake_minimum_required(VERSION 2.8)

set( SWIG_FILES
  Container.i
  DataTypes.i
  Detectors.i
  Dimension.i
  FrAdcData.i
  FrDetector.i
  FrEvent.i
  FrHistory.i
  FrProcData.i
  FrSimData.i
  FrSimEvent.i
  FrTOC.i
  FrTOCAdc.i
  FrTOCProc.i
  FrTOCSim.i
  FrTable.i
  FrVect.i
  FrameH.i
  GPSTime.i
  IFrameFStream.i
  OFrameFStream.i
  STRING.i
  SearchContainer.i
  frameCPP.i
  frameCPPMacros.i
  )

cx_link_headers( framecpp ${SWIG_FILES} )

if ( NOT DISABLE_INSTALLATION_OF_SWIG_HEADERS )
  install( FILES ${SWIG_FILES}
    DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/framecpp"
    )
endif ( )

=== python/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------

#========================================================================
# Traverse the tree
#========================================================================

add_subdirectory(source)
add_subdirectory(python3)

=== python/python3/CMakeLists.txt ===
include( ${CMAKE_SOURCE_DIR}/python/source/build_rules.cmake )

BuildRules( PYTHON3 3 python3 )

=== python/source/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------
add_subdirectory(python)

=== python/source/python/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------
#
# LDASTools Frame Utilities - A library to extend manipulation of LIGO/Virgo Frame
# Files
#
# Copyright (C) 2018 California Institute of Technology
#
# LDASTools Frame Utilities is free software; you may redistribute it and/or
# modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 (GPLv2) of the
# License or at your discretion, any later version.
#
# LDASTools Frame Utilities is distributed in the hope that it will be useful, but
# without any warranty or even the implied warranty of merchantability
# or fitness for a particular purpose. See the GNU General Public
# License (GPLv2) for more details.
#
# Neither the names of the California Institute of Technology (Caltech),
# The Massachusetts Institute of Technology (M.I.T), The Laser
# Interferometer Gravitational-Wave Observatory (LIGO), nor the names
# of its contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# You should have received a copy of the licensing terms for this
# software included in the file LICENSE located in the top-level
# directory of this package. If you did not, you can view a copy at
# http://dcc.ligo.org/M1500244/LICENSE
#
#------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.1)

set( SWIG_FILES
  DataTypes.i
  GPSTime.i
  Parameters.i
  FrEvent.i
  FrProcData.i
  FrTOC.i
  FrTOCAdc.i
  FrTOCProc.i
  FrTOCSim.i
  FrVect.i
  frameCPP.i
  frameCPPMacros.i
  )

cx_link_headers( framecpp/python ${SWIG_FILES} )

if ( NOT DISABLE_INSTALLATION_OF_SWIG_HEADERS )
  install( FILES ${SWIG_FILES}
    DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/framecpp/python"
    )
endif ( )

=== debian/changelog ===
ldas-tools-framecpp-swig (2.6.14-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Mon, 11 Jul 2022 08:56:56 -0700

ldas-tools-framecpp-swig (2.6.13-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Fri, 17 Jun 2022 14:37:21 -0700

ldas-tools-framecpp-swig (2.6.12-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Wed, 29 Sep 2021 13:50:37 -0700

ldas-tools-framecpp-swig (2.6.11-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Fri, 13 Aug 2021 07:40:19 -0700

ldas-tools-framecpp-swig (2.6.10-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 09 Mar 2021 17:04:45 -0800

ldas-tools-framecpp-swig (2.6.9-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Wed, 14 Aug 2019 11:54:53 -0700

ldas-tools-framecpp-swig (2.6.8-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Sat, 02 Feb 2019 08:09:27 -0800

ldas-tools-framecpp-swig (2.6.7-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 08 Jan 2019 10:08:40 -0800

ldas-tools-framecpp-swig (2.6.6-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Thu, 06 Dec 2018 16:54:35 -0800

ldas-tools-framecpp-swig (2.6.5-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 27 Nov 2018 13:44:23 -0700

ldas-tools-framecpp-swig (2.6.4-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Mon, 27 Aug 2018 16:20:16 -0700

ldas-tools-framecpp-swig (2.6.3-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Fri, 6 Jul 2018 14:28:29 -0700

ldas-tools-framecpp-swig (2.6.2-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Wed, 27 Jun 2018 08:36:48 -0700

ldas-tools-framecpp-swig (2.6.1-1) unstable; urgency=low

  * Built for new release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 22 Jun 2018 21:59:58 -0700

ldas-tools-framecpp-swig (2.6.0-1) unstable; urgency=low

  * Initial release

 -- Edward Maros <ed.maros@ligo.org>  Tue, 19 Jun 2018 20:51:43 -0700

=== debian/control ===
Source: ldas-tools-framecpp-swig
Section: lscsoft
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Homepage: "https://wiki.ligo.org/Computing/LDASTools"
Build-Depends:
    debhelper (>= 9),
    dh-python,
    cmake,
    gawk,
    pkg-config,
    libsqlite3-dev,
    swig (>= 3.0.7),
    python3,
    python3-dev,
    python3-numpy,
    ldas-tools-al-swig (>= 2.6.10),
    python3-ldas-tools-al (>= 2.6.10),
    ldas-tools-cmake (>= 1.2.3),
    ldas-tools-framecpp-dev (>= 2.9.1)
Standards-Version: 4.1.1
X-Python3-Version: >= 3.2

#========================================================================
Package:      ldas-tools-framecpp-swig
Section:      lscsoft
Architecture: any
Depends:
    ldas-tools-al-swig (>= 2.6.10),
    ldas-tools-framecpp-dev (>= 2.9.1),
    ${misc:Depends},
    ${python3:Depends}
Conflicts: ldas-tools-framecpp-dev (< 2.6.0 )
Description: SWIG interface for the LDAS Tools frameCPP library
    This package provides the SWIG header files describing the extension
    interface to the LDAS Tools frameCPP library

#========================================================================
Package:      python3-ldas-tools-framecpp
Section:      python
Architecture: any
Depends:
    python3-ldas-tools-al (>= 2.6.10),
    ldas-tools-framecpp (>= 2.9.1),
    python3-numpy,
    ${misc:Depends},
    ${python3:Depends}
Provides: ldas-tools-framecpp-python3
Conflicts: ldas-tools-framecpp-python3
Replaces: ldas-tools-framecpp-python3
Description: Pyton 3 binding for the LDAS Tools frameCPP library
    This package provides the python 3 language extensions to
    LDAS Tools frameCPP library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DENABLE_SWIG_PYTHON2=no -DENABLE_SWIG_PYTHON3=yes -DPYTHON3_EXECUTABLE=/usr/bin/python3 -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_EXPORT_COMPILE_COMMANDS=1
